dreamchess-data_0.2.1-RC2-2_all.deb


Advertisement

Description

dreamchess-data - data files for dreamchess

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: dreamchess-data
Package version: 0.2.1
Package release: RC2-2
Package architecture: all
Package type: deb
Installed size: 6.42 KB
Download size: 4.92 MB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

    Download

    Source package: dreamchess

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install dreamchess-data deb package:
      # sudo apt-get install dreamchess-data

    Changelog

    2015-11-10 - Markus Koschany <apo@debian.org> dreamchess (0.2.1-RC2-2) unstable; urgency=medium * Build without --parallel option to avoid a race condition on buildd.

    2015-11-09 - Markus Koschany <apo@debian.org> dreamchess (0.2.1-RC2-1) unstable; urgency=medium * Add myself to Uploaders. * Move the package to Git. * Imported Upstream version 0.2.1-RC2. - According to the NEWS file: Fixed issue with chess piece selection on some AMD GPUs. (Closes: #744237) - The chess board will be turned now when the user is playing black against the computer. (Closes: #578000) - The game works well and is not slow. (Closes: #606232) - Changing the resolution works with the free radeon driver. (Closes: #620103) * Declare compliance with Debian Policy 3.9.6. * Use compat level 9 and require debhelper >= 9. * d/rules: Remove --with autotools_dev because --with autoreconf is a superset. * Update debian/watch and track releases at github.com. * Add get-orig-source target. * Add bison and flex to Build-Depends. * debian/rules: Fix path to dreamchess.png * debian/rules: Do not pass buildflags to dh_auto_configure manually. * Add git_rev.patch and fix FTBFS. * Add desktop-file.patch and use upstream's desktop file from now on. * wrap-and-sort -sa. * Update debian/copyright to copyright format 1.0. * Add libgl1-mesa-dev, libglew-dev and libglu1-mesa-dev to Build-Depends otherwise the game will not start. * Install new dreamchess.png file to hicolor icon directory. * Update the clean file and ensure dreamchess can be built twice in a row.

    2011-03-25 - Paul Wise <pabs@debian.org> dreamchess (0.2.0-3) unstable; urgency=low * Team upload. * Minor watch file fixes * Wrap build-deps, deps one per line * Wrap Debian menu file, one attribute per line * Switch to dpkg-source v3 quilt * Fix FTBFS with GCC 4.5 (Closes: #554498) * Switch to debhelper 7 and dh * Use dh-autoreconf instead of patching autotools stuff * Add ${misc:Depends} to -data package depends just in case * Bump Standards-Version, no changes needed * Forward the patches upstream and add DEP-3 headers * Enable audio using SDL mixer * Improve the package descriptions * Drop the pthread patch since it is no longer needed * Create the XPM icon from the upstream icon using imagemagick

    2009-03-18 - Barry deFreese <bdefreese@debian.org> dreamchess (0.2.0-2) unstable; urgency=low [ Cyril Brulebois ] * Remove “-p1” from debian/patches/series since it's useless and since it might cause an FTBFS with the “3.0 (quilt)” source package format. * Move config.{guess,sub} update from the clean target to the config.status one, and remove them in clean target instead, so as to keep the Debian diff clean and not to cause an FTBFS with the new “3.0 (quilt)” source package format. Thanks to Raphaël Hertzog for the notice (Closes: #484970). * debian/rules cleanup: - Nuke trailing spaces. - Use quilt.make include, and appropriate patch/unpatch dependencies for the config.status and clean target, using an additional realclean target for the latter. [ Gonéri Le Bouder ] * Use the Games/Board section for the Debian menu file [ Barry deFreese ] * Update my e-mail address. * Change short description on -data package. * Add description to quilt patch. * Bump Standards Version to 3.8.1. (No changes needed).

    2008-02-16 - Gonéri Le Bouder <goneri@rulezlan.org> dreamchess (0.2.0-1) unstable; urgency=low [ Barry deFreese ] * New upstream release (Closes: #457050) * Drop mxml patch as upstream no longer ships it [ Gonéri Le Bouder ] * add fix-mxml-check.diff, -lpthread was missing in ./configure libmxml detection * dreamchess depends on dreamchess-data (= ${source:Version}) * dreamchess-data suggets dreamchess * remove dreamchess-fullscreen.desktop since it's now possible to switch to the fullscreen from within the game * update the copyright file. The game is now under the GPLv3.

    Advertisement
    Advertisement